Bug 1465313 - (bacon/bacon-qr-code) Review Request: php-bacon-qr-code - QR code generator for PHP
Review Request: php-bacon-qr-code - QR code generator for PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 03:48 EDT by Remi Collet
Modified: 2017-07-19 01:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 16:55:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (12.90 KB, text/plain)
2017-07-02 21:15 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (10.68 KB, text/plain)
2017-07-02 21:15 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.31 KB, text/plain)
2017-07-02 21:16 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2017-06-27 03:48:36 EDT
Spec URL: https://git.remirepo.net/cgit/rpms/php/bacon/php-bacon-qr-code.git/plain/php-bacon-qr-code.spec?id=a782099d313044e816067a0b805b3beb222d9578
SRPM URL: http://rpms.remirepo.net/SRPMS/php-bacon-qr-code-1.0.1-1.remi.src.rpm
Description: 
BaconQrCode is a port of QR code portion of the ZXing library.
It currently only features the encoder part, but could later
receive the decoder part as well.

As the Reed Solomon codec implementation of the ZXing library
performs quite slow in PHP, it was exchanged with the implementation
by Phil Karn.

Autoloader: /usr/share/php/BaconQrCode/autoload.php


Fedora Account System Username: remi

--

New dependency of roundcubemail
Comment 1 Shawn Iwinski 2017-07-02 21:15 EDT
Created attachment 1293698 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.7 DB version 1.22.0 built Jun 10 2017 11:10:50 CEST
Comment 2 Shawn Iwinski 2017-07-02 21:15 EDT
Created attachment 1293699 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.7 DB version 1.22.0 built Jun 10 2017 11:10:50 CEST
Comment 3 Shawn Iwinski 2017-07-02 21:16 EDT
Created attachment 1293700 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1465313
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2017-07-02 21:16:52 EDT
Minor blocker:

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php(php-common)

     Remove `%dir %{php_home}/%{ns_vendor}` since `%{ns_vendor}` is `%nil`
Comment 6 Shawn Iwinski 2017-07-03 00:22:59 EDT
-%dir %{php_home}/%{ns_vendor}
-     %{php_home}/%{ns_vendor}/%{ns_project}
+%{php_home}/%{ns_project}

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php(php-common)



No blockers.

===== APPROVED =====
Comment 7 Remi Collet 2017-07-03 00:28:57 EDT
Thanks for the review.
Comment 8 Gwyn Ciesla 2017-07-03 07:23:27 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-bacon-qr-code
Comment 9 Fedora Update System 2017-07-03 09:47:03 EDT
php-bacon-qr-code-1.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c2afe357bb
Comment 10 Fedora Update System 2017-07-03 14:25:48 EDT
php-bacon-qr-code-1.0.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5733820059
Comment 11 Fedora Update System 2017-07-03 22:17:41 EDT
php-bacon-qr-code-1.0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c2afe357bb
Comment 12 Fedora Update System 2017-07-03 23:21:25 EDT
php-bacon-qr-code-1.0.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed3b6991da
Comment 13 Fedora Update System 2017-07-11 16:55:25 EDT
php-bacon-qr-code-1.0.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-07-11 23:23:46 EDT
php-bacon-qr-code-1.0.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-07-19 01:49:08 EDT
php-bacon-qr-code-1.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.